=== debian/changelog ===
creduce (2.8.0~20180311-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build using llvm-6.0.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 09:17:25 +0100
