=== debian/control ===
Source: creduce
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf,
  flex,
  libedit-dev, zlib1g-dev,
  llvm-6.0-dev, libclang-6.0-dev,
  clang-6.0, clang-format-6.0,
  libbenchmark-timer-perl, libsys-cpu-perl,
  libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
  libgetopt-tabular-perl, libterm-readkey-perl,
# for running the tests:
  frama-c-base
Build-Conflicts: kcc
Standards-Version: 4.1.3
Homepage: http://embed.cs.utah.edu/creduce/

Package: creduce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  clang-format-4.0,
  libbenchmark-timer-perl, libsys-cpu-perl,
  libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
  libgetopt-tabular-perl, libterm-readkey-perl,
Recommends: gcc | clang
Description: Test-Case Reduction for C Compiler Bugs
 C-Reduce is a tool which takes a large C or C++ program that has a
 property of interest (such as triggering a compiler bug) and
 automatically produces a much smaller C/C++ program that has the same
 property.  It is intended for use by people who discover and report
 bugs in compilers and other tools that process C/C++ code.
