## creduce 2.8.0~20180315

=== debian/changelog ===
creduce (2.8.0~20180315-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update clang-format dependency to 6.0.

 -- Matthias Klose <doko@debian.org>  Thu, 22 Mar 2018 11:20:21 +0800
