=== debian/changelog ===
creduce (2.8.0~20180422-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Apr 2018 09:45:30 +0200
