=== debian/changelog ===
creduce (2.8.0-1) unstable; urgency=medium

  * C-Reduce 2.8.0 release.
  * Remove (build-) dependency on libsys-cpu-perl.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jul 2018 14:41:21 +0200
