=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
   libedit-dev, zlib1g-dev,
   llvm-6.0-dev, libclang-6.0-dev,
   clang-6.0, clang-format-6.0,
-  libbenchmark-timer-perl, libsys-cpu-perl,
+  libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
 # for running the tests:
   frama-c-base
 Build-Conflicts: kcc
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
   clang-format-6.0,
-  libbenchmark-timer-perl, libsys-cpu-perl,
+  libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
 Recommends: gcc | clang
