=== debian/changelog ===
creduce (2.9~20181016-1) unstable; urgency=medium

  * Snapshot, taken from the llvm7 branch.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Oct 2018 10:08:37 +0200
