=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-6.0-dev, libclang-6.0-dev,
-  clang-6.0, clang-format-6.0,
+  llvm-7-dev, libclang-7-dev,
+  clang-7, clang-format-7,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
 # for running the tests:
   frama-c-base
 Build-Conflicts: kcc
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-6.0,
+  clang-format-7,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
