=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 6.0
+CLANG_V	= 7
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
