## creduce 2.9~20181211

=== debian/changelog ===
creduce (2.9~20181211-1) unstable; urgency=medium

  * Snapshot, taken from the llvm7 branch.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Dec 2018 12:24:25 +0100
