## creduce 2.9~20190320

=== debian/changelog ===
creduce (2.9~20190320-0ubuntu1) disco; urgency=medium

  * Snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2019 15:01:21 +0100
