=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
 # for running the tests:
   frama-c-base
 Build-Conflicts: kcc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-7,
+  clang-format-8,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
