=== debian/changelog ===
creduce (2.9~20190428-1) experimental; urgency=medium

  * Snapshot, taken from the llvm8 branch.

 -- Matthias Klose <doko@debian.org>  Sun, 28 Apr 2019 10:19:53 +0200
