=== debian/changelog ===
creduce (2.9.0-1) unstable; urgency=medium

  * C-Reduce 2.9.0 release.
  * Link with libatomic when needed.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2019 18:11:11 +0200
