=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,13 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 8
+CLANG_V	= 7
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
+
+ifneq (,$(filter $(DEB_HOST_ARCH),armel))
+  export LIBATOMIC = -latomic
+endif
 
 %:
 	dh $@  --with autoreconf --parallel
