## creduce 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,8 +26,8 @@
 find_package(LLVM REQUIRED CONFIG NO_CMAKE_BUILDS_PATH)
 message(STATUS "Found LLVM ${LLVM_PACKAGE_VERSION}")
 message(STATUS "Using LLVMConfig.cmake in ${LLVM_DIR}")
-if (${LLVM_PACKAGE_VERSION} VERSION_LESS "7.0")
-  message(FATAL_ERROR "C-Reduce requires LLVM 7.0 or later")
+if (${LLVM_PACKAGE_VERSION} VERSION_LESS "8.0")
+  message(FATAL_ERROR "C-Reduce requires LLVM 8.0 or later")
 endif()
 #
 # Do this here, too, just to keep it with the LLVM check above.
@@ -56,7 +56,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "0fc288e")
+set(GIT_HASH "fb91843")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -90,11 +90,11 @@
 set(creduce_PACKAGE			"creduce")
 set(creduce_PACKAGE_BUGREPORT		"creduce-bugs@flux.utah.edu")
 set(creduce_PACKAGE_NAME		"creduce")
-set(creduce_PACKAGE_STRING		"creduce 2.9.0")
+set(creduce_PACKAGE_STRING		"creduce 2.10.0")
 set(creduce_PACKAGE_TARNAME		"creduce")
 set(creduce_PACKAGE_URL			"http://embed.cs.utah.edu/creduce/")
-set(creduce_PACKAGE_VERSION		"2.9.0")
-set(creduce_VERSION			"2.9.0")
+set(creduce_PACKAGE_VERSION		"2.10.0")
+set(creduce_VERSION			"2.10.0")
 
 # FIXME: Should be determined automatically.
 set(YYTEXT_POINTER 1)
