=== debian/changelog ===
creduce (2.10.0-1~18.04) bionic-proposed; urgency=medium

  * SRU: LP: #1834654. Backport 2.10.0 to the 18.04 LTS release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jun 2019 16:46:26 +0200

creduce (2.10.0-1) experimental; urgency=medium

  * C-Reduce 2.10.0 release.
  * Build using llvm-8.

 -- Matthias Klose <doko@debian.org>  Mon, 27 May 2019 20:53:41 +0200
