=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-7-dev, libclang-7-dev,
-  clang-7, clang-format-7,
+  llvm-8-dev, libclang-8-dev,
+  clang-8, clang-format-8,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
@@ -20,7 +20,7 @@
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-7,
+  clang-format-8,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
