## creduce 2.10.0%2B20220116

=== debian/changelog ===
creduce (2.10.0+20220116-1) unstable; urgency=medium

  * New upstream snapshot, taken from the llvm-13 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 05 Sep 2022 22:13:52 +0200

creduce (2.10.0+20201029-3) unstable; urgency=medium

  * Fix LLVM 9 build dependencies on armel, armhf.
  * Run the tests again, finally frama-c-base is available again.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2021 15:59:48 +0100

creduce (2.10.0+20201029-2) unstable; urgency=medium

  * Build using LLVM 9 on armel, armhf. See #979495.
  * Bump debhelper and standards versions.
  * Fix man page (Michael R. Crusoe). Closes: #961004.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2021 14:22:00 +0100

creduce (2.10.0+20201029-1) unstable; urgency=medium

  * New upstream snapshot, taken from the llvm-11 branch.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2020 19:36:55 +0100

creduce (2.10.0+20200325-1) unstable; urgency=medium

  * 

 -- Matthias Klose <doko@debian.org>  Wed, 25 Mar 2020 18:24:54 +0100

creduce (2.10.0+20200116-2) unstable; urgency=medium

  * Build using llvm-10.
  * Bump standards version .

 -- Matthias Klose <doko@debian.org>  Mon, 09 Mar 2020 12:09:18 +0100

creduce (2.10.0+20200116-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build using llvm-9.
  * Don't run the tests, frama-c-base removed in unstable. Closes: #945886.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jan 2020 12:24:59 +0100

creduce (2.10.0-2) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2019 14:15:57 +0200
