## creduce 2.10.0+20200116

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,7 +56,7 @@
 # `git archive' inserts the abbreviated hash of the archive's commit into this
 # file.  (See the `.gitattributes' file.)
 #
-set(GIT_HASH "fb91843")
+set(GIT_HASH "$Format:%h$")
 if(GIT_HASH MATCHES "^\\$")
   ## METHOD 2: The source tree is a git repository.
   get_git_head_revision(GIT_REFSPEC GIT_HASH)
@@ -90,11 +90,11 @@
 set(creduce_PACKAGE			"creduce")
 set(creduce_PACKAGE_BUGREPORT		"creduce-bugs@flux.utah.edu")
 set(creduce_PACKAGE_NAME		"creduce")
-set(creduce_PACKAGE_STRING		"creduce 2.10.0")
+set(creduce_PACKAGE_STRING		"creduce 2.11.0")
 set(creduce_PACKAGE_TARNAME		"creduce")
 set(creduce_PACKAGE_URL			"http://embed.cs.utah.edu/creduce/")
-set(creduce_PACKAGE_VERSION		"2.10.0")
-set(creduce_VERSION			"2.10.0")
+set(creduce_PACKAGE_VERSION		"2.11.0")
+set(creduce_VERSION			"2.11.0")
 
 # FIXME: Should be determined automatically.
 set(YYTEXT_POINTER 1)
