=== clang_delta/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ## -*- mode: CMake -*-
 ##
-## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017, 2018 The University of Utah
+## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 The University of Utah
 ## All rights reserved.
 ##
 ## This file is distributed under the University of Illinois Open Source
@@ -57,6 +57,23 @@
 
 link_directories(${LLVM_LIBRARY_DIRS})
 
+# ENE: Note that LLVM_LIBS is unused.
+#
+# The CLANG_LIBS defined below depend on various LLVM libraries.  When we do
+# `target_link_libraries(clang_delta ${CLANG_LIBS})`, CMake's automatic library
+# dependency tracking adds ("is expected to add") the necessary LLVM libraries
+# and other libraries to the link set without us doing anything special.
+#
+# There are reports that this automatic tracking does not always work.  If this
+# is the case for you, you can try adding LLVM_LIBS to the invocation of
+# `target_link_libraries()` later in this file.  There are reports that
+# sometimes this doesn't solve the problem, so caveat emptor.
+#
+# There are reports that including LLVM_LIBS in `target_link_libraries()`, when
+# it is not needed, can cause dynamic link errors when `clang_delta` is run
+# (multiply defined symbols).  This is another reason why we don't include
+# LLVM_LIBS in the `target_link_libraries()` call by default.
+#
 llvm_map_components_to_libnames(LLVM_LIBS
   coverage
   irreader
@@ -242,18 +259,16 @@
   git_version.h
 )
 
-# ENE, LLVM 6.0: LLVM_LIBS end up in the link command line anyway.  I'm not
-# quite sure why!  But if you list LLVM_LIBS here, the `clang_delta' binary
-# can end up with dynamic link errors when it runs (multiply defined symbols).
-#
+# ENE: See comment above about why LLVM_LIBS is not included in this call.
 target_link_libraries(clang_delta ${CLANG_LIBS})
 
-# Custom target for running clang_delta tests
-#
-add_custom_target(check-clang-delta
-  COMMAND ${LLVM_TOOLS_BINARY_DIR}/llvm-lit
-          -sv ${CMAKE_CURRENT_BINARY_DIR}/tests
-  DEPENDS clang_delta)
+# For cases in which the LLVM libraries are shared libraries, remember where
+# the shared libraries are.
+set_target_properties(clang_delta
+  PROPERTIES
+  BUILD_WITH_INSTALL_RPATH "yes"
+  INSTALL_RPATH "${LLVM_LIBRARY_DIRS}"
+)
 
 # On Windows, we also need to link with "Version.dll" system library.
 # See <https://github.com/csmith-project/creduce/pull/126>.
@@ -279,6 +294,15 @@
 #  PERMISSIONS
 #    OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 
+#####
+
+# Custom target for running clang_delta tests
+#
+add_custom_target(check-clang-delta
+  COMMAND ${LLVM_TOOLS_BINARY_DIR}/llvm-lit
+          -sv ${CMAKE_CURRENT_BINARY_DIR}/tests
+  DEPENDS clang_delta)
+
 ###############################################################################
 
 ## End of file.
