=== delta/test2_multidelta/Makefile ===
# see delta/License.txt for copyright and terms of use

# test and clean multidelta

check:
	./testit

clean:
	rm -f *.ok *.bak file[12].txt log *.log DELTA-STOP
