=== debian/changelog ===
creduce (2.10.0+20200116-1ubuntu1) focal; urgency=medium

  * Build-depend on frama-c-base.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2020 12:53:04 +0100
