=== debian/control ===
--- 
+++ 
@@ -6,21 +6,20 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf,
   flex,
   libedit-dev, zlib1g-dev,
-  llvm-8-dev, libclang-8-dev,
-  clang-8, clang-format-8,
+  llvm-9-dev, libclang-9-dev,
+  clang-9, clang-format-9,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
-# for running the tests:
-  frama-c-base
+  frama-c-base <!nocheck>
 Build-Conflicts: kcc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://embed.cs.utah.edu/creduce/
 
 Package: creduce
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  clang-format-8,
+  clang-format-9,
   libbenchmark-timer-perl,
   libfile-which-perl, libregexp-common-perl, libexporter-lite-perl,
   libgetopt-tabular-perl, libterm-readkey-perl,
