=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V	= 8
+CLANG_V	= 9
 CLANG	= clang-$(CLANG_V)
 GCC	= gcc
 
@@ -34,7 +34,11 @@
 # these are time consuming ...
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
   ifeq (,$(filter $(DEB_HOST_ARCH),m68k sh4 s390 sparc))
-	cd tests && CLANG="$(CLANG)" GCC="$(GCC)" ./run_tests
+	if grep -q '^  *frama-c-base' debian/control; then \
+	  cd tests && CLANG="$(CLANG)" GCC="$(GCC)" ./run_tests; \
+	else \
+	  echo "Cannot run the tests, frama-c-base not in build dependencies."; \
+	fi
   endif
 endif
